套餐列表¶
POST 查询WAF套餐¶
POST /prod-api/waf/wafv3/dealOrder/describeDealOrder
Body 请求参数
{
"pageNum": 1,
"pageSize": 10,
"filters": [
{
"label": "packageName",
"value": ["textzt"]
}
],
"searchHeader": {
"activate": ["1"]
}
}
请求参数¶
| 名称 | 位置 | 类型 | 必选 | 中文名 | 说明 |
|---|---|---|---|---|---|
| Authorization | header | string | 是 | - | |
| body | body | object | 是 | - | |
| » filters | body | [SearchFilterVo] | 否 | 搜索条件 | - |
| »» SearchFilterVo | body | SearchFilterVo | 否 | SearchFilterVo | - |
| »»» label | body | string | 否 | 参数名 | 套餐(别名)/套餐名:oid/packageName |
| »»» value | body | [string] | 否 | 值 | 数组类型,传入单个值为模糊搜索,多个值为精确搜索 |
| » pageNum | body | integer(int32) | 是 | 当前页数 | - |
| » pageSize | body | integer(int32) | 是 | 每页显示条目个数 | - |
| » searchHeader | body | object | 否 | - | |
| »» activate | body | [string] | 是 | activate取值有: |
详细说明¶
»» activate: activate取值有: 0:表示待支付 -1:表示已退订 1:表示使用中 3:表示关闭 4:表示配置中
返回示例
200 Response
{
"total": 1,
"rows": [
{
"ctime": 1712884616,
"isTest": 1,
"domainCnt": 10,
"topDomainCnt": 7,
"maxDomainCou": 33,
"maxTopDomainCou": 33,
"distributionCnt": null,
"ownerUid": 279,
"projectName": "zr",
"oid": "20240412279097884616",
"packageName": "textzt",
"price": 0,
"remark": "",
"activate": 1,
"mday": "2026-12-31",
"lastday": 227,
"alias": "c8f24509cb564acfbad2fbfa2eac4d",
"bandwidth": 0.0
}
],
"code": 200,
"msg": "成功"
}
201 Response
返回结果¶
| 状态码 | 状态码含义 | 说明 | 数据模型 |
|---|---|---|---|
| 200 | OK | - | Inline |
| 201 | Created | - | Inline |
| 401 | Unauthorized | - | Inline |
| 403 | Forbidden | - | Inline |
| 404 | Not Found | - | Inline |
返回数据结构¶
状态码 200
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| » total | integer | true | - | - | |
| » rows | [object] | true | - | - | |
| »» ctime | integer | true | - | 开通时间 | - |
| »» isTest | integer | true | - | 测试 | 取值有: 0:表示测试 1:表示正常 |
| »» domainCnt | integer | true | - | 已用域名 | - |
| »» topDomainCnt | integer | true | - | 已用顶级域名 | - |
| »» maxDomainCou | integer | true | - | 总数 | - |
| »» maxTopDomainCou | integer | true | - | 已用顶级总数 | - |
| »» distributionCnt | null | true | - | - | |
| »» oid | string | true | - | 套餐 | - |
| »» packageName | string | true | - | 套餐名 | - |
| »» price | integer | true | - | 价格 | - |
| »» remark | string | true | - | 备注 | - |
| »» activate | integer | true | - | 状态 | - |
| »» mday | string | true | - | 到期时间 | - |
| »» lastday | integer | true | - | 剩下天数 | - |
| »» alias | string | true | - | 别名 | - |
| »» bandwidth | integer | true | - | 带宽 | - |
| » code | integer | true | - | - | |
| » msg | string | true | - | - |
数据模型¶
QueryDealOrdersVO
{
"activate": 0,
"filters": [
{
"label": "string",
"value": ["string"]
}
],
"innerFilters": [
{
"label": "string",
"value": ["string"]
}
],
"mday": "2019-08-24T14:15:22Z",
"oid": "string",
"oids": ["string"],
"orderTypes": [0],
"pageNum": 0,
"pageSize": 0,
"searchHeader": {
"activate": ["string"]
}
}
QueryDealOrdersVO
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| filters | [SearchFilterVo] | false | - | 搜索条件 | - |
| pageNum | integer(int32) | true | - | 当前页数 | - |
| pageSize | integer(int32) | true | - | 每页显示条目个数 | - |
| searchHeader | object | false | - | 筛选条件 | - |
| » activate | [string] | false | - | 套餐状态 | activate取值有: 0:表示待支付 -1:表示已退订 1:表示使用中 3:表示关闭 4:表示配置中 |
SearchFilterVo
SearchFilterVo
属性¶
| 名称 | 类型 | 必选 | 约束 | 中文名 | 说明 |
|---|---|---|---|---|---|
| label | string | false | - | 参数名 | 套餐(别名)/套餐名:oid/packageName |
| value | [string] | false | - | 值 | 数组类型,传入单个值为模糊搜索,多个值为精确搜索 |